Package com.independentsoft.office.vml

# Enum Class BorderType

java.lang.Object
java.lang.Enum<BorderType>
com.independentsoft.office.vml.BorderType

All Implemented Interfaces:
  `Serializable`, `Comparable<BorderType>`, `Constable`

public enum BorderType extends Enum<BorderType>
The Enum BorderType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DASH`
  `DASH_DOT_DOT`
  `DOT`
  `DOT_DASH`
  `DOUBLE_LINE`
  `DOUBLE_WAVE`
  `HAIRLINE`
  `INSET`
  `LARGE_THIN_THICK_THIN`
  `NONE`
  `OUTSET`
  `SINGLE_LINE`
  `SMALL_DASH`
  `SMALL_THICK_THIN`
  `SMALL_THIN_THICK_THIN`
  `STROKED_DASH_DOT`
  `THICK_LINE`
  `THICK_THIN`
  `THICK_THIN_LARGE_GAP`
  `THIN_THICK`
  `THIN_THICK_LARGE_GAP`
  `THIN_THICK_SMALL_GAP`
  `THIN_THICK_THIN`
  `THREE_D_EMBOSSED`
  `THREE_D_ENGRAVED`
  `TRIPLE_LINE`
  `WAVE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BorderType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static BorderType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DASH

    public static final BorderType DASH

  - ### DASH_DOT_DOT

    public static final BorderType DASH_DOT_DOT

  - ### STROKED_DASH_DOT

    public static final BorderType STROKED_DASH_DOT

  - ### SMALL_DASH

    public static final BorderType SMALL_DASH

  - ### DOT

    public static final BorderType DOT

  - ### DOT_DASH

    public static final BorderType DOT_DASH

  - ### DOUBLE_LINE

    public static final BorderType DOUBLE_LINE

  - ### DOUBLE_WAVE

    public static final BorderType DOUBLE_WAVE

  - ### HAIRLINE

    public static final BorderType HAIRLINE

  - ### INSET

    public static final BorderType INSET

  - ### OUTSET

    public static final BorderType OUTSET

  - ### SINGLE_LINE

    public static final BorderType SINGLE_LINE

  - ### THICK_LINE

    public static final BorderType THICK_LINE

  - ### THIN_THICK_THIN

    public static final BorderType THIN_THICK_THIN

  - ### LARGE_THIN_THICK_THIN

    public static final BorderType LARGE_THIN_THICK_THIN

  - ### SMALL_THIN_THICK_THIN

    public static final BorderType SMALL_THIN_THICK_THIN

  - ### THICK_THIN

    public static final BorderType THICK_THIN

  - ### THICK_THIN_LARGE_GAP

    public static final BorderType THICK_THIN_LARGE_GAP

  - ### SMALL_THICK_THIN

    public static final BorderType SMALL_THICK_THIN

  - ### THIN_THICK

    public static final BorderType THIN_THICK

  - ### THIN_THICK_LARGE_GAP

    public static final BorderType THIN_THICK_LARGE_GAP

  - ### THIN_THICK_SMALL_GAP

    public static final BorderType THIN_THICK_SMALL_GAP

  - ### THREE_D_EMBOSSED

    public static final BorderType THREE_D_EMBOSSED

  - ### THREE_D_ENGRAVED

    public static final BorderType THREE_D_ENGRAVED

  - ### TRIPLE_LINE

    public static final BorderType TRIPLE_LINE

  - ### WAVE

    public static final BorderType WAVE

  - ### NONE

    public static final BorderType NONE

- ## Method Details

  - ### values

    public static BorderType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BorderType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null